- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions | Variables
null.h File Reference

Declares classes that implement SQL "null" semantics within C++'s type system. More...

`#include "exceptions.h"`
`#include <iostream>`
`#include <string>`

Go to the source code of this file.

## Classes
class | mysqlpp::null_type
| The type of the global mysqlpp::null object. More...
struct | mysqlpp::NullIsNull
| Class for objects that define SQL null in terms of MySQL++'s null_type. More...
struct | mysqlpp::NullIsZero
| Class for objects that define SQL null as 0. More...
struct | mysqlpp::NullIsBlank
| Class for objects that define SQL null as a blank C string. More...
class | mysqlpp::Null< Type, Behavior >
| Class for holding data from a SQL column with the NULL attribute. More...

## Functions
template<class Type , class Behavior >
std::ostream & | mysqlpp::operator<< (std::ostream &o, const Null< Type, Behavior > &n)
| Inserts null-able data into a C++ stream if it is not actually null. Otherwise, insert something appropriate for null data.

## Variables
const std::string | mysqlpp::null_str
| "NULL" string constant
const null_type | mysqlpp::null = null_type()
| Global 'null' instance. Use wherever you need a SQL null. More...

## Detailed Description

Declares classes that implement SQL "null" semantics within C++'s type system.

This is required because C++'s own NULL type is not semantically the same as SQL nulls.